import request from "@/utils/request";

// 查询通知列表
export function listNotice(query) {
  return request({
    url: "/system/base/notice/list",
    method: "get",
    params: query,
  });
}

// 查询通知数量
export function countNotice(query) {
  return request({
    url: "/system/base/notice/count",
    method: "get",
    params: query,
  });
}

// 查询通知详细
export function getNotice(id) {
  return request({
    url: "/system/base/notice/" + id,
    method: "get",
  });
}

// 读取通知
export function readNotice(id) {
  return request({
    url: "/system/base/notice/read",
    method: "get",
    params: { id },
  });
}

// 删除通知
export function delNotice(id) {
  return request({
    url: "/system/base/notice/" + id,
    method: "delete",
  });
}
